;@@@@@@@@@@@@@@@@
;@      nMP3 II - made by NipKick    @
;@@@@@@@@@@@@@@@@
on 1:load {
  if ($version < 5.4) {
    necho You need at least version 5.4 of mIRC to load nMP3 II.
    .unload -rs nmp3_ii.mrc
    halt
  }
  elseif ($exists( [ $mircdir $+ nmp3\ ] ) == $false) {
    necho You need to have an nMP3 subdir in your mIRC dir with the bitmaps in it to load nMP3 II.
    .unload -rs nmp3_ii.mrc
    halt
  }
  else {
    set %n2.sactive $active
    n2splash
    .timer -m 1 3200 n2load
  }
}
alias n2load {
  n2init
  n2check
}
on 1:start {
  if ($version >= 5.4) {
    if (%n2.splash) n2splash
    n2tcheck n2update
    n2tcheck n2mcheck
  }
}
on 1:connect {
  if (($version >= 5.4) && ($exists( [ $mircdir $+ nmp3\ ] ))) {
    n2tcheck n2update
    n2tcheck n2mcheck
  }
  if ($window(@Splash)) window -c @Splash
}
menu channel {
  nMP3 II
  .mp3 { mp3 }
  .rmp3 { rmp3 }
  .pmp3 { pmp3 }
  .repeat { repmp3 }
  .count { n2count }
  .-
  . $+ %n2.conticon cont play { n2cont } 
  .-
  .options
  ..mp3 info
  ...echo { set %n2.mp3info echo }
  ...say { set %n2.mp3info say }
  ..mp3 display
  ...information
  ....size
  .....on { set %n2.showsize yes }
  .....off { unset %n2.showsize }
  ....time
  .....on { set %n2.showtime yes }
  .....off { unset %n2.showtime }
  ....bitrate
  .....on { set %n2.showbitrate yes }
  .....off { unset %n2.showbitrate }
  ....khz
  .....on { set %n2.showkhz yes }
  .....off { unset %n2.showkhz }
  ....chans
  .....on { set %n2.showchans yes }
  .....off { unset %n2.showchans }
  ....frames
  .....on { set %n2.showframes yes }
  .....off { unset %n2.showframes }
  ...no extension
  ....on { set %n2.noext yes }
  ....off { unset %n2.noext }
  ...no path
  ....on { set %n2.nopath yes }
  ....off { unset %n2.nopath }
  ..mp3 window
  ...on { set %n2.window yes }
  ...off { unset %n2.window | window -c @nMP3 }
  ...type
  ....in mirc { set %n2.wintype -p | set %n2.winwidth 20 | set %n2.winleft 0 }
  ....taskbar { set %n2.wintype -pdo | set %n2.winwidth 40 | set %n2.winleft $window(-3).x }
  ...animation
  ....on { set %n2.winanim yes }
  ....off { unset %n2.winanim }
  ...anim speed
  ....1 { set %n2.animspeed 5 }
  ....2 { set %n2.animspeed 6 }
  ....3 { set %n2.animspeed 7 }
  ....4 { set %n2.animspeed 8 }
  ....5 { set %n2.animspeed 9 }
  ....6 { set %n2.animspeed 10 }
  ....7 { set %n2.animspeed 11 }
  ....8 { set %n2.animspeed 12 }
  ....9 { set %n2.animspeed 13 }
  ....10 { set %n2.animspeed 14 }
  ...text too long
  ....cut off { set %n2.wintext cut }
  ....shrink { set %n2.wintext shrink }
  ...timer
  ....count up { set %n2.timer up }
  ....count down { set %n2.timer down }
  ....off { unset %n2.timer }
  ..playlist
  ...random { set %n2.ptype rand }
  ..splash screen
  ...on { set %n2.splash yes }
  ...off { unset %n2.splash }
  .set
  ..player { n2player }
  ..mp3 location(s) { n2locations }
  ..playlist { n2playlist }
  .-
  .sv { nmp3 }
  .uninstall { n2uninst }
}
menu @nMP3 {
  sclick {
    if ($inrect($mouse.x,$mouse.y,0,0,48,19)) { n2hit mp3 | mp3 }
    if ($inrect($mouse.x,$mouse.y,48,0,46,19)) { n2hit rmp3 | rmp3 }
    if ($inrect($mouse.x,$mouse.y,96,0,46,19)) { n2hit pmp3 | pmp3 }
    if ($inrect($mouse.x,$mouse.y,144,0,46,19)) { n2hit rep | repmp3 }
    if ($inrect($mouse.x,$mouse.y,$calc($window(-3).w - 20),1,15,15)) window -c @nMP3
  }
  close { window -c @nMP3 }
}
alias n2splash {
  n2win -p +b @Splash 320 240
  drawpic @Splash 0 0 $mircdir $+ nmp3\splash $+ $rand(1,4) $+ .bmp
  .timer -o 1 3 window -c @Splash
}
alias n2hit {
  set %n2.noclick yes
  drawpic @nMP3 0 -1 $mircdir $+ nmp3\ $+ $1 $+ hit.bmp
  .timer -m 1 100 unset %n2.noclick
}
alias n2win {
  if (+ isin $2) window $1 $2 $3 $round($calc(($window(-3).w / 2) - ($4 / 2)),0) $round($calc(($window(-3).h / 2) - ($5 / 2)),0) $4 $5 $2 $6 $7
  else window $1 $2 $round($calc(($window(-3).w / 2) - ($3 / 2)),0) $round($calc(($window(-3).h / 2) - ($4 / 2)),0) $3 $4 $2 $5 $6
}
alias n2init {
  set %n2.splash yes
  set %n2.noext yes
  set %n2.nopath yes
  set %n2.window yes
  set %n2.winanim yes
  set %n2.animspeed 14
  set %n2.ptype rand
  set %n2.showsize yes
  set %n2.showtime yes
  set %n2.showbitrate yes
  set %n2.showkhz yes
  set %n2.showchans yes
  unset %n2.showframes
  set %n2.wintype -p
  set %n2.winwidth 20
  set %n2.winleft 0
  set %n2.wintext cut
  set %n2.timer down
  set %n2.mp3info echo
}
alias necho {
  if (%n2.active) echo %n2.active [nII] $1-
  else echo -a [nII] $1-
}
alias n2playlist {
  set %n2.tmp $dir="Select your playlist" c:\
  if (%n2.tmp) { set %n2.playlist %n2.tmp | necho Set playlist to04 %n2.playlist }
  unset %n2.tmp
}
alias n2player {
  if ($?!="Would you like nMP3 II to search for MP3 players?") n2aplayer
  else n2mplayer
}
alias n2mplayer {
  :start
  set %n2.tmp $dir="Select your MP3 player executable" c:\
  if ((%n2.player == $null) && (%n2.tmp == $null)) goto start
  if (%n2.tmp) { set %n2.player %n2.tmp | necho Set MP3 player to04 %n2.player }
  unset %n2.tmp
  if (%n2.sactive) { echo %n2.sactive [nII] Welcome to nMP3 II by NipKick. | unset %n2.sactive }
}
alias n2pc { if (%n2.tmp) write n2temp.dat %n2.tmp }
alias n2aplayer {
  if ($exists(n2temp.dat)) .remove n2temp.dat
  necho Searching for common MP3 players...
  set %n2.tmp $findfile(c:\,winamp.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,winplay3.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,nad.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,yamp.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,musearc.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,unreal.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,nad.exe,1)
  n2pc
  set %n2.tmp $findfile(c:\,kjofol.exe,1)
  n2pc
  if ($exists(n2temp.dat) == $false) { necho No known MP3 players were found. Try selecting one manually. | halt }
  n2win -l @Players 400 200 Arial 16
  %n2.tmp = 0
  :start
  inc %n2.tmp
  iline 1 @Players %n2.tmp $read -l $+ %n2.tmp n2temp.dat
  if %n2.tmp < $lines(n2temp.dat) goto start
  set %n2.sline $calc(%n2.tmp + 1)
  iline 1 @Players %n2.sline My player is not in this list...
  titlebar @Players - Double click on the player you want to use
  unset %n2.tmp
}
menu @Players {
  dclick {
    if ($sline(@Players,1).ln < %n2.sline) {
      set %n2.player $read -l $+ $sline(@Players,1).ln n2temp.dat
      window -c @Players
      necho Set MP3 player to04 %n2.player
      if (%n2.sactive) { echo %n2.sactive [nII] Welcome to nMP3 II by NipKick. | unset %n2.sactive }
    }
    else { n2player | window -c @Players }
  }
}
alias n2locations {
  unset %n2.tmp
  :start
  set %n2.tmp $sdir="Select your primary MP3 location" c:\
  if ((%n2.tmp == $null) && (%n2.mp3loc1 == $null)) goto start
  if (%n2.tmp) { set %n2.mp3loc1 $nofile(%n2.tmp) | necho Set primary MP3 location to04 %n2.mp3loc1 }
  if (%n2.tmp == $null) goto end
  unset %n2.mp3loc2
  unset %n2.mp3loc3
  unset %n2.mp3loc4
  set %n2.mp3loc2 $nofile( [ $sdir="Select a 2nd location (cancel for none)" c:\ ] )
  if (%n2.mp3loc2) necho Set 2nd MP3 location to04 %n2.mp3loc2
  else goto end
  set %n2.mp3loc3 $nofile( [ $sdir="Select a 3rd location (cancel for none)" c:\ ] )
  if (%n2.mp3loc3) necho Set 3rd MP3 location to04 %n2.mp3loc3
  else goto end
  set %n2.mp3loc4$nofile( [ $sdir="Select a 4th location (cancel for none)" c:\ ] )
  if (%n2.mp3loc4) necho Set 4th MP3 location to04 %n2.mp3loc4
  :end
  unset %n2.tmp
  set %n2.lastplace %n2.mp3loc1
}
alias n2check {
  if (%n2.mp3loc1 == $null) n2locations
  if (%n2.player == $null) n2player
}
alias mp3check { if $right(%n2.mp3,3) != mp3 { necho You must play an MP3 with nMP3 II. | halt } }
alias mp3 {
  n2check
  if ($1) set %n2.mp3 $1-
  else {
    set %n2.tmpfuck $dir="Select an MP3" [ %n2.lastplace $+ *.mp3 ]
    if (%n2.tmpfuck) set %n2.mp3 %n2.tmpfuck
    else halt
    unset %n2.tmpfuck
  }
  set %n2.lastplace $nofile(%n2.mp3)
  set %n2.type mp3
  mp3dorest
}
alias rmp3 {
  n2check
  if (%n2.mp3loc1) %n2.tmp = 1
  if (%n2.mp3loc2) %n2.tmp = 2
  if (%n2.mp3loc3) %n2.tmp = 3
  if (%n2.mp3loc4) %n2.tmp = 4
  if (%n2.tmp > 1) {
    set %n2.tmp $rand(1,%n2.tmp)
    if (%n2.tmp == 1) set %n2.tmp %n2.mp3loc1
    elseif (%n2.tmp == 2) set %n2.tmp %n2.mp3loc2
    elseif (%n2.tmp == 3) set %n2.tmp %n2.mp3loc3
    else set %n2.tmp %n2.mp3loc4
    set %n2.mp3 $findfile(%n2.tmp,*.mp3,$rand(1,$findfile(%n2.tmp,*.mp3,0)))
  }
  else set %n2.mp3 $findfile(%n2.mp3loc1,*.mp3,$rand(1,$findfile(%n2.mp3loc1,*.mp3,0)))
  set %n2.type rmp3
  mp3dorest
}
alias pmp3 {
  n2check
  if (($exists(%n2.playlist) == $false) || ($exists(%n2.playlist) == $null)) n2playlist
  if (%n2.playlist == $null) halt
  if (%n2.ptype == rand) set %n2.mp3 $read %n2.playlist
  set %n2.type pmp3
  mp3dorest
}
alias repmp3 {
  n2check
  if (%n2.mp3) mp3 %n2.mp3
}
alias n2qual {
  set %n2.bitrate $1
  set %n2.khz $2
  if (%n2.khz == 44.1) set %n2.fkhz 1
  if (%n2.khz == 22.0) set %n2.fkhz 2
  if (%n2.khz == 11.0) set %n2.fkhz 4.801
  set %n2.chans $3
}
alias n2time {
  set %n2.tmptime $1-
  set %n2.tmptime $replace(%n2.tmptime,secs,s)
  set %n2.tmptime $replace(%n2.tmptime,sec,s)
  set %n2.tmptime $replace(%n2.tmptime,mins,m)
  set %n2.tmptime $replace(%n2.tmptime,min,m)
  set %n2.tmptime $replace(%n2.tmptime,hrs,h)
  set %n2.tmptime $replace(%n2.tmptime,hr,h)
  set %n2.tmptime $replace(%n2.tmptime,days,d)
  set %n2.tmptime $replace(%n2.tmptime,day,d)
  set %n2.tmptime $remove(%n2.tmptime,$chr(32))
  return %n2.tmptime
  unset %n2.tmptime
}
alias mp3dorest {
  if (%n2.mp3 == $null) halt
  mp3check
  if (($chr(32) isin %n2.player) && ($chr(32) isin %n2.mp3)) run " $+ %n2.player $+ " " $+ %n2.mp3 $+ "
  if (($chr(32) isin %n2.player) && ($chr(32) !isin %n2.mp3)) run " $+ %n2.player $+ " %n2.mp3
  if (($chr(32) !isin %n2.player) && ($chr(32) isin %n2.mp3)) run %n2.player " $+ %n2.mp3 $+ "
  if (($chr(32) !isin %n2.player) && ($chr(32) !isin %n2.mp3))  run %n2.player %n2.mp3
  set %n2.mp3name %n2.mp3
  set %n2.size mb[ $+ $round($calc($lof(%n2.mp3) / 1000000),2) $+ ]
  if (%n2.nopath) {
    %n2.tmp68 = 0
    :start4
    inc %n2.tmp68
    if ($mid(%n2.mp3,%n2.tmp68,1) == $chr(92)) set %n2.tmp67 %n2.tmp68
    if (%n2.tmp68 < $len(%n2.mp3)) goto start4
    set %n2.mp3name $remove(%n2.mp3name,$left(%n2.mp3name,%n2.tmp67))
  }
  if (%n2.noext) set %n2.mp3name $remove(%n2.mp3name,.mp3)
  set %n2.qnum $read -l1 %n2.mp3
  set %n2.qnum $left(%n2.qnum,4)
  set %n2.qnum $asc($mid(%n2.qnum,2,1)) $+ $asc($mid(%n2.qnum,3,1)) $+ $asc($mid(%n2.qnum,4,1))
  if ((%n2.qnum == 25114468) || (%n2.qnum == 25114620) || (%n2.qnum == 2511464) || (%n2.qnum == 25014468) || (%n2.qnum == 737070) || (%n2.qnum == 2511444) || (%n2.qnum == 251144116) || (%n2.qnum == 25114464) || (%n2.qnum == 110117108) || (%n2.qnum == 25114484) || (%n2.qnum == 25114612) || (%n2.qnum == 25114684) || (%n2.qnum == 25312868) || (%n2.qnum == 1697974) || (%n2.qnum == 83206107)) n2qual 128 44.1 stereo
  elseif ((%n2.qnum == 2512084) || (%n2.qnum == 250208132)) n2qual 256 44.1 stereo
  elseif (%n2.qnum == 25117668) n2qual 192 44.1 stereo
  elseif (%n2.qnum == 25116068) n2qual 160 44.1 stereo
  elseif (%n2.qnum == 25114868) n2qual 128 48.1 stereo
  elseif (%n2.qnum == 251146100) n2qual 120 44.1 stereo
  elseif ((%n2.qnum == 24219268) || (%n2.qnum == 243192196) || (%n2.qnum == 24319268)) n2qual 128 22.0 stereo
  elseif (%n2.qnum == 242192196) n2qual 128 22.0 mono
  elseif (%n2.qnum == 25112868) n2qual 112 44.1 stereo
  elseif (%n2.qnum == 25113668) n2qual 112 32.0 stereo
  elseif (%n2.qnum == 25111284) n2qual 96 44.1 stereo
  elseif ((%n2.qnum == 24312884) || (%n2.qnum == 24212884)) n2qual 64 22.0 stereo
  elseif ((%n2.qnum == 24311284) || (%n2.qnum == 24211284)) n2qual 56 22.0 stereo
  elseif (%n2.qnum == 2439684) n2qual 48 22.0 stereo
  elseif (%n2.qnum == 2438084) n2qual 40 22.0 stereo
  elseif (%n2.qnum == 2276484) n2qual 32 11.0 stereo
  elseif (%n2.qnum == 2274884) n2qual 24 11.0 stereo
  elseif (%n2.qnum == 25180196) n2qual 64 44.1 mono
  elseif (%n2.qnum == 25164196) n2qual 56 44.1 mono
  elseif (%n2.qnum == 243112196) n2qual 56 22.0 mono
  elseif (%n2.qnum == 25148196) n2qual 48 44.1 mono
  elseif (%n2.qnum == 24364196) n2qual 32 22.0 mono
  elseif (%n2.qnum == 24348196) n2qual 24 22.0 mono
  elseif (%n2.qnum == 24372196) n2qual 32 16.0 mono
  elseif (%n2.qnum == 22748196) n2qual 20 11.0 mono
  elseif ((%n2.qnum == 22732196) || (%n2.qnum == 22632196)) n2qual 16 11.0 mono
  elseif (%n2.qnum == 22716196) n2qual 8 11.0 mono
  else { n2qual ??? ??? ??? | if (%n2.qnum) necho 04 $+ %n2.mp3 has quality information that is unknown to nMP3. Please get the quality information according to your MP3 player (bitrate, khz, mono/stereo) and msg NipKick with it and this number:04 %n2.qnum $+ . Thank you. }
  if (%n2.bitrate != ???) %n2.timernum = $round($calc(($lof(%n2.mp3) * .008) / %n2.bitrate),0))
  else set %n2.timernum ??? 
  if (%n2.bitrate != ???) %n2.time = $n2time($duration(%n2.timernum))
  else set %n2.time ??? 
  if (%n2.bitrate != ???) %n2.frames = $round($calc((($lof(%n2.mp3) * .61537) / %n2.bitrate) / %n2.fkhz),0)
  else set %n2.frames ???  
  set %n2.timertrack %n2.timernum
  unset %n2.show
  if (%n2.showsize) set %n2.show %n2.show %n2.size
  if (%n2.showtime) set %n2.show %n2.show t[ $+ %n2.time $+ ]
  if (%n2.showbitrate) set %n2.show %n2.show br[ $+ %n2.bitrate $+ kbps]
  if (%n2.showkhz) set %n2.show %n2.show khz[ $+ %n2.khz $+ ]
  if (%n2.showchans) set %n2.show %n2.show chans[ $+ %n2.chans $+ ]
  if (%n2.showframes) set %n2.show %n2.show fr[ $+ %n2.frames $+ ]
  set %n2.say [ $+ %n2.type $+ ( $+ %n2.mp3name $+ )] %n2.show
  if (%n2.window) {
    %n2.fontsize = 18
    if (%n2.wintext == cut) {
      %n2.tmp = 0
      set %n2.showname %n2.mp3name
      :start2
      inc %n2.tmp
      if ($calc($width(%n2.showname,Arial,18,B,0) + 300 + $width(%n2.show,Arial,18,B,0)) > $window(-3).w) { set %n2.showname $left(%n2.showname,$calc($len(%n2.showname) - 1)) | goto start2 }
      if (%n2.tmp > 1) set %n2.show [ $+ %n2.type $+ ( $+ %n2.showname $+ ...)] %n2.show
      else set %n2.show [ $+ %n2.type $+ ( $+ %n2.showname $+ )] %n2.show
      unset %n2.tmp
    }
    if (%n2.wintext == shrink) {
      set %n2.show [ $+ %n2.type $+ ( $+ %n2.mp3name $+ )] %n2.show
      :start3
      if ($width(%n2.show,Arial,%n2.fontsize,B,0) > $calc($window(-3).w - 240)) { dec %n2.fontsize | goto start3 }
    }
    window %n2.wintype +b @nMP3 %n2.winleft 0 $window(-3).w %n2.winwidth @nMP3
    drawpic @nMP3 0 -1 $mircdir $+ nmp3\buttnone.bmp
    drawpic @nMP3 194 0 $mircdir $+ nmp3\rawbar.bmp
    if (%n2.winanim) {
      set %anim.start $window(-3).w
      :start
      dec %anim.start %n2.animspeed
      drawpic @nMP3 194 0 $mircdir $+ nmp3\rawbar.bmp
      drawtext -o @nMP3 0 Arial %n2.fontsize %anim.start 0 %n2.show
      if ($calc(%anim.start - %n2.animspeed) > 196) goto start
      unset %anim.*
    }
    else drawtext -o @nMP3 0 Arial %n2.fontsize 196 0 %n2.show ................................................
    drawrect @nMP3 0 1 $calc($window(-3).w - 20) 1 15 15
    drawline @nMP3 0 2 $calc($window(-3).w - 16) 5 $calc($window(-3).w - 7) 13
    drawline @nMP3 0 2 $calc($window(-3).w - 16) 13 $calc($window(-3).w - 7) 5
  } 
  if ((%n2.mp3info == echo) && (%n2.window == $null)) necho $replace($replace(%n2.say,[,[),],])
  if (%n2.mp3info == say) msg %n2.active $replace($replace(%n2.say,[,[),],])
}
alias n2wintext {
  if ($window(@nMP3)) {
    unset %n2.show
    if (%n2.showsize) set %n2.show %n2.show %n2.size
    if (%n2.showtime) set %n2.show %n2.show t[ $+ $n2time($duration(%n2.timernum)) $+ ]
    if (%n2.showbitrate) set %n2.show %n2.show br[ $+ %n2.bitrate $+ kbps]
    if (%n2.showkhz) set %n2.show %n2.show khz[ $+ %n2.khz $+ ]
    if (%n2.showchans) set %n2.show %n2.show chans[ $+ %n2.chans $+ ]
    if (%n2.showframes) set %n2.show %n2.show fr[ $+ %n2.frames $+ ]
    if (%n2.wintext == cut) {
      %n2.tmp1 = 0
      set %n2.showname %n2.mp3name
      :start2
      inc %n2.tmp1
      if ($calc($width(%n2.showname,Arial,18,B,0) + 300 + $width(%n2.show,Arial,18,B,0)) > $window(-3).w) { set %n2.showname $left(%n2.showname,$calc($len(%n2.showname) - 1)) | goto start2 }
      if (%n2.tmp1 > 1) set %n2.show [ $+ %n2.type $+ ( $+ %n2.showname $+ ...)] %n2.show
      else set %n2.show [ $+ %n2.type $+ ( $+ %n2.showname $+ )] %n2.show
      unset %n2.tmp1
    }
    if (%n2.wintext == shrink) {
      set %n2.show [ $+ %n2.type $+  ( $+ %n2.mp3name $+ )] %n2.show
      :start3
      if ($width(%n2.show,Arial,%n2.fontsize,B,0) > $calc($window(-3).w - 240)) { dec %n2.fontsize | goto start3 }
    }
    drawpic @nMP3 194 0 $mircdir $+ nmp3\rawbar.bmp
    drawtext -o @nMP3 0 Arial %n2.fontsize 196 0 %n2.show ................................................
    drawrect @nMP3 0 1 $calc($window(-3).w - 20) 1 15 15
    drawline @nMP3 0 2 $calc($window(-3).w - 16) 5 $calc($window(-3).w - 7) 13
    drawline @nMP3 0 2 $calc($window(-3).w - 16) 13 $calc($window(-3).w - 7) 5
  }
}
alias nmp3 { me is using nMP3 II v1.0 by NipKick }
alias n2count {
  n2check
  necho Counting MP3s...
  set %n2.tmp $findfile(%n2.mp3loc1,*.mp3,0)
  if (%n2.mp3loc2) set %n2.tmp $calc(%n2.tmp + $findfile(%n2.mp3loc2,*.mp3,0))
  if (%n2.mp3loc3) set %n2.tmp $calc(%n2.tmp + $findfile(%n2.mp3loc3,*.mp3,0))
  if (%n2.mp3loc4) set %n2.tmp $calc(%n2.tmp + $findfile(%n2.mp3loc4,*.mp3,0))
  necho You have04 %n2.tmp MP3s.
  unset %n2.tmp
}
alias n2uninst {
  unset %n2.*
  window -c @nMP3
  n2tstop  n2update
  n2tstop n2mcheck
  echo -a [nII] nMP3 II has been successfully uninstalled. Fuck you for uninstalling my addon. You fucking suck. :P
  .unload -rs nmp3_ii.mrc
}
alias n2stop { run " $+ %n2.player $+ " blank.mp3 }
alias n2update {
  if ($active ischan) set %n2.active $active
  if (%n2.timer) {
    if ((%n2.timer == down) && (%n2.timernum > 0) && (%n2.timernum != ???)) dec %n2.timernum 1.03
    if ((%n2.timer == up) && (%n2.timernum < %n2.timer) && (%n2.timernum != ???)) inc %n2.timernum 1.03
  }
  if (%n2.timertrack > 0) dec %n2.timertrack 1.03
  else { if ((%n2.cont) && ((%n2.type == rmp3) || (%n2.type == pmp3))) %n2.type }
  if ($window(@nMP3)) n2wintext
}
alias n2tcheck {
  %n2.timertmp = $timer(0)
  %n2.timertmp1 = 0
  :start
  inc %n2.timertmp1
  if ($timer(%n2.timertmp1).com == $1) { unset %n2.timertmp* | goto end }
  if (%n2.timertmp1 <= %n2.timertmp) goto start
  if ($1 == n2update) .timer -o 0 1 n2update
  if ($1 == n2mcheck) .timer -om 0 4 n2mcheck
  :end  
  unset %n2.timertmp*
}
alias n2tstop {
  %n2.timertmp = $timer(0)
  %n2.timertmp1 = 0
  :start
  inc %n2.timertmp1
  if ($timer(%n2.timertmp1).com == $1) { .timer $+ $timer(%n2.timertmp1).id off | goto end }
  if (%n2.timertmp1 <= %n2.timertmp) goto start
  :end
  unset %n2.timertmp*
}
alias n2cont {
  if (%n2.cont) { unset %n2.cont | unset %n2.conticon }
  else { set %n2.cont yes | set %n2.conticon  | %n2.type }
}
alias n2mcheck {
  if (($window(@nMP3)) && (%n2.noclick == $null)) {
    if ($inrect($mouse.mx,$mouse.my,0,0,46,20)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttmp3.bmp
    if ($inrect($mouse.mx,$mouse.my,48,0,46,20)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttrmp3.bmp
    if ($inrect($mouse.mx,$mouse.my,96,0,46,20)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttpmp3.bmp
    if ($inrect($mouse.mx,$mouse.my,144,0,46,20)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttrep.bmp
    if ($inrect($mouse.mx,$mouse.my,192,0,$calc($window(-3).w - 192),20)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttnone.bmp
    if ($inrect($mouse.mx,$mouse.my,0,21,$window(-3).w,$calc($window(-3).h - 20))) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttnone.bmp
    if ($inrect($mouse.dx,$mouse.dy,0,0,$window(-1).w,$calc($window(-3).y - 1))) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttnone.bmp
    if ($inrect($mouse.dx,$mouse.dy,0,0,$window(-2).x,$window(-1).h)) drawpic @nMP3 0 -1 $mircdir $+ \nmp3\buttnone.bmp  
  }
}
alias n2browse {
  if ($exists(n2browse.dat)) .remove n2browse.dat
  window -l +b @Browser $calc($window(-3).w - 150) 21 150 $calc($window(-3).h - 21) @Browser Arial 12
  iline @Browser 1 [dir] ..
  %n2.b1 = 0
  :start
  inc %n2.b1
  if ($count($finddir(%n2.bpath,*,%n2.b1),\) == %n2.slashnum) { iline @Browser $calc(%n2.b1 + 1) [dir] $remove($remove($finddir(%n2.bpath,*,%n2.b1),%n2.bpath),\) | write n2browse.dat $finddir(%n2.bpath,*,%n2.b1) }
  else goto end
  goto start
  :end
  %n2.b2 = 0
  :start2
  inc %n2.b2
  inc %n2.b1
  if (($count($findfile(%n2.bpath,*,%n2.b2),\) == %n2.slashnum) && ($right($findfile(%n2.bpath,*,%n2.b2),3) == mp3)) { iline @Browser %n2.b1 $remove($findfile(%n2.bpath,*,%n2.b2),%n2.bpath) | write n2browse.dat $finddir(%n2.bpath,*,%n2.b2) }
  else goto end2
  goto start2
  :end2
}
menu @Browser {
  dclick {
    if ($sline(@Browser,1).ln == 1) {
      set %n2.bpath $left(%n2.bpath,$pos(%n2.bpath,\,$len(%n2.bpath)))
      if ($len(%n2.bpath) > 3) %n2.slashnum = $count(%n2.bpath,\) + 1
      else %n2.slashnum = 1
      window -c @Browser
      n2browse
    }
    else {
      set %n2.bpath $read -l $+ $calc($sline(@Browser,1).ln - 1) n2browse.dat
      if ($len(%n2.bpath) > 3) %n2.slashnum = $count(%n2.bpath,\) + 1
      else %n2.slashnum = 1
      window -c @Browser
      n2browse
    }
  }
}
alias n2breset { set %n2.bpath c:\ | set %n2.slashnum 1 }
